## pnc 0.9.4

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)
project("pnc" VERSION 0.9.4 LANGUAGES C CXX)

find_library(LIBPHONENUMBER phonenumber PATHS /usr/local/lib REQUIRED)
find_library(LIBGEOCODING geocoding PATHS /usr/local/lib REQUIRED)
find_library(LIBICUUC icuuc PATHS /usr/local/lib REQUIRED)

include_directories(BEFORE SYSTEM /usr/local/include)

add_compile_definitions(VERSION=\"${PROJECT_VERSION}\")

add_executable(pnc
	src/pnc.cc
)

target_link_libraries(pnc
	${LIBICUUC} ${LIBPHONENUMBER} ${LIBGEOCODING}
)

enable_testing()

find_program(SH_PROG sh)
if(SH_PROG)
	add_test(tests_sh ${SH_PROG} ${CMAKE_CURRENT_SOURCE_DIR}/tests.sh ${CMAKE_CURRENT_BINARY_DIR})
endif(SH_PROG)

install(
	TARGETS pnc
	RUNTIME DESTINATION bin
)

install(
	FILES pnc.1
	DESTINATION share/man/man1
)

include(CheckIncludeFiles)
check_include_files(
	"stdio.h;errno.h;stdio.h;stddef.h;string.h;stdlib.h;sys/types.h;sys/stat.h;gawkapi.h"
	HAVE_GAWK_H
)

if(HAVE_GAWK_H)
	add_subdirectory(gawkext)
else()
	message(WARNING "Excluding gawk plugin as needed headers (namely gawkapi.h) were not found!")
endif(HAVE_GAWK_H)

=== gawkext/CMakeLists.txt ===
add_library(gawkpn
	SHARED
		gawkpnwrap.c gawkpnimpl.cc
)

set_target_properties(gawkpn PROPERTIES PREFIX "")

target_link_libraries(gawkpn
	${LIBICUUC} ${LIBPHONENUMBER} ${LIBGEOCODING}
)

execute_process(
	COMMAND
		gawk "BEGIN {print ENVIRON[\"AWKLIBPATH\"]}"
	OUTPUT_VARIABLE
		AWKLIBPATH
	OUTPUT_STRIP_TRAILING_WHITESPACE
)
install(
	TARGETS gawkpn
	DESTINATION ${AWKLIBPATH}
)

=== debian/changelog ===
pnc (0.9.4-3build4) plucky; urgency=medium

  * No-change rebuild for icu soname change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 06 Jan 2025 05:31:08 +0100

pnc (0.9.4-3build3) noble; urgency=medium

  * No-change rebuild for libphonenumber8 changes (LP: #2059291).

 -- Chris Peterson <chris.peterson@canonical.com>  Wed, 27 Mar 2024 09:51:24 -0700

pnc (0.9.4-3build2) noble; urgency=medium

  * No-change rebuild for ICU soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 19 Dec 2023 12:00:29 +0100

pnc (0.9.4-3build1) lunar; urgency=medium

  * Rebuild against latest icu

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sat, 04 Feb 2023 14:57:35 -0500

pnc (0.9.4-3) unstable; urgency=medium

  * Add Breaks+Replaces: pn.
    Thanks to Andreas Beckmann (Closes: #1029508)

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 23 Jan 2023 23:46:28 +0100

pnc (0.9.4-2) unstable; urgency=medium

  * source only upload

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 22 Jan 2023 15:23:41 +0100

pnc (0.9.4-1) unstable; urgency=medium

  [ Tzafrir Cohen ]
  * Include READMEs in docs dir (Closes: #1017497)

  [ Jochen Sprickerhof ]
  * Switch Maintainer to team
  * New upstream version 0.9.4
  * Switch to pnc fork and rename package
  * Update d/copyright
  * Drop upstreamed patch
  * Bump policy version (no changes)
  * Recommends: gawk for gawkpn.so
  * Add autopkgtest

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 14 Jan 2023 08:23:30 +0100

pn (0.9.0-1) unstable; urgency=medium

  * Initial release.

 -- Jochen Sprickerhof <jspricke@debian.org>  Thu, 11 Aug 2022 14:47:07 +0200

=== debian/tests/control ===
Test-Command: ./tests.sh /usr/bin
Depends: pnc
Restrictions: allow-stderr

## pnc 0.9.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
-cmake_minimum_required(VERSION 3.0)
-project("pnc" VERSION 0.9.4 LANGUAGES C CXX)
+cmake_minimum_required(VERSION 3.10)
+project("pnc" VERSION 0.9.5 LANGUAGES C CXX)
 
 find_library(LIBPHONENUMBER phonenumber PATHS /usr/local/lib REQUIRED)
 find_library(LIBGEOCODING geocoding PATHS /usr/local/lib REQUIRED)

=== debian/changelog ===
pnc (0.9.5-1) unstable; urgency=medium

  * New upstream version 0.9.5
    - Add support for cmake 4.0 (Closes: #1113415)
  * Update d/copyright
  * Bump policy version (no changes)
  * Drop obsolete entries in d/control

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 01 Sep 2025 07:34:25 +0200

=== debian/control ===
Source: pnc
Section: x11
Maintainer: DebianOnMobile Maintainers <debian-on-mobile-maintainers@alioth-lists.debian.net>
Uploaders:
 Tzafrir Cohen <tzafrir@debian.org>,
 Jochen Sprickerhof <jspricke@debian.org>,
Build-Depends: debhelper-compat (= 13),
 gawk,
 cmake,
 libphonenumber-dev,
 libicu-dev,
Standards-Version: 4.7.2
Homepage: https://git.sr.ht/~anjan/pnc
Vcs-Browser: https://salsa.debian.org/DebianOnMobile-team/pnc
Vcs-Git: https://salsa.debian.org/DebianOnMobile-team/pnc.git

Package: pnc
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: gawk
Description: libphonenumber command-line wrapper, and GNU AWK extension
 pnc is a tool that allows command line user/programmers to operate on phone
 numbers (get validity information, reformat them, or extract numbers from a
 text snippet), using libphonenumber.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

execute_after_dh_auto_build:
	mkdir -p debian/docs_dir
	cp README.md debian/docs_dir/
	cp gawkext/README.md debian/docs_dir/gawkext.md

=== debian/watch ===
version=4
opts="mode=git" \
https://git.sr.ht/~anjan/pnc \
refs/tags/@ANY_VERSION@
